Bug 212912 - (pear-HTML-QuickForm) Review Request: php-pear-HTML-QuickForm - Class for creating, validating, processing HTML forms
Review Request: php-pear-HTML-QuickForm - Class for creating, validating, pro...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
Depends On: pear-HTML-Common
Blocks: FE-ACCEPT DataObj-FormBuilder
  Show dependency treegraph
Reported: 2006-10-29 22:14 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 13:46:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 22:14:24 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-QuickForm.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-QuickForm-3.2.7-1.src.rpm

The HTML_QuickForm package provides methods to dynamically create, validate
and render HTML forms.

* More than 20 ready-to-use form elements.
* XHTML compliant generated code.
* Numerous mixable and extendable validation rules.
* Automatic server-side validation and filtering.
* On request javascript code generation for client-side validation.
* File uploads support.
* Total customization of form rendering.
* Support for external template engines (ITX, Sigma, Flexy, Smarty).
* Pluggable elements, rules and renderers extensions.
Comment 1 Remi Collet 2006-11-12 04:17:42 EST
== TEST ==
No test suite provided.
Samples works well.

== REVIEW ==
* source files match upstream:
7d3cbe961e17996641abec79c953e3dd  HTML_QuickForm-3.2.7.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (PHP)
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
  php-pear(Pager) = 2.4.2
  php-pear-Pager = 2.4.2-1.fc6
* %check is not present; see comment
* owns the directories it creates (HTML owned by HTML_Common which is required)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Should, as usualy : 
- bundle PHP Licence in %doc (perhaps change
%{pear_name}-%{version}/docdir/%{pear_name}/docs/* to
%{pear_name}-%{version}/docdir/%{pear_name}/docs is a good idea)
- add versioned requires for php-pear(HTML_Common) >= 1.2.1

Comment 2 Christopher Stone 2007-04-25 00:56:37 EDT
Branch Package CVS Request
Package Name: php-pear-HTML-QuickForm
Short Description: Class for creating, validating, processing HTML forms
Owners: chris.stone@gmail.com
Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.